summaryrefslogtreecommitdiff
path: root/tests/t_mmp_2off/script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/t_mmp_2off/script')
-rw-r--r--tests/t_mmp_2off/script15
1 files changed, 7 insertions, 8 deletions
diff --git a/tests/t_mmp_2off/script b/tests/t_mmp_2off/script
index 56c6beda..1dee14ed 100644
--- a/tests/t_mmp_2off/script
+++ b/tests/t_mmp_2off/script
@@ -1,13 +1,12 @@
FSCK_OPT=-yf
-TMPFILE=test.img
-rm -f $test_name.failed $test_name.ok
+TMPFILE=$test_name.tmp
> $TMPFILE
stat -f $TMPFILE | grep -q "Type: tmpfs"
-if [ $? == 0 ]; then
+if [ $? = 0 ]; then
rm -f $TMPFILE
- echo "skipped for tmpfs (no O_DIRECT support)"
+ echo "$test_name: $test_description: skipped for tmpfs (no O_DIRECT)"
return 0
fi
@@ -15,7 +14,7 @@ $MKE2FS -q -F -o Linux -b 4096 -O mmp $TMPFILE 100 > $test_name.log 2>&1
status=$?
if [ "$status" != 0 ] ; then
echo "mke2fs -O mmp failed" > $test_name.failed
- echo "failed"
+ echo "$test_name: $test_description: failed"
return $status
fi
@@ -23,18 +22,18 @@ $TUNE2FS -O ^mmp $TMPFILE > $test_name.log 2>&1
status=$?
if [ "$status" != 0 ] ; then
echo "tune2fs -O ^mmp failed" > $test_name.failed
- echo "failed"
+ echo "$test_name: $test_description: failed"
return $status
fi
$FSCK $FSCK_OPT $TMPFILE > $test_name.log 2>&1
status=$?
if [ "$status" = 0 ] ; then
- echo "ok"
+ echo "$test_name: $test_description: ok"
touch $test_name.ok
else
echo "e2fsck after MMP disable failed" > $test_name.failed
- echo "failed"
+ echo "$test_name: $test_description: failed"
return $status
fi
rm -f $TMPFILE